import request from "@/utils/httpRequest";
import { FLOW_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/extension/button/save",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/extension/button/delete",
			method: "delete",
			params: { ids: ids },
		});
	},

	queryById: function (id) {
		return request({
			url: prefix + "/extension/button/queryById",
			method: "get",
			params: { id: id },
		});
	},
	validateCodeNoExist: function (params) {
		return request({
			url: prefix + "/extension/button/validateCodeNoExist",
			method: "get",
			params: params,
		});
	},

	validateNameNoExist: function (params) {
		return request({
			url: prefix + "/extension/button/validateNameNoExist",
			method: "get",
			params: params,
		});
	},

	list: function (params) {
		return request({
			url: prefix + "/extension/button/list",
			method: "get",
			params: params,
		});
	},
};
